inspect.connectivity {bio3d} | R Documentation

## Check the Connectivity of Protein Structures

### Description

Investigate protein coordinates to determine if the structure has missing residues.

### Usage

    inspect.connectivity(pdbs, cut=4.)

### Arguments

`pdbs` | an object of class `3daling` as obtained from function `pdbaln` or `read.fasta.pdb`; a xyz matrix containing the cartesian coordinates of C-alpha atoms; or a ‘pdb’ object as obtained from function `read.pdb`.
`cut` | cutoff value to determine residue connectvitiy.

### Details

Utility function for checking if the PDB structures in a ‘pdbs’ object contains missing residues inside the structure.

### Value

Returns a vector.

### Author(s)

Lars Skjaerven

### References

Grant, B.J. et al. (2006) Bioinformatics 22, 2695–2696.

### See Also

`dm`, `gap.inspect`

### Examples

    ## Not run:
    ## Fetch PDB files and split to chain A only PDB files
    ids <- c("1a70_A", "1czp_A", "1frd_A", "1fxi_A", "1iue_A", "1pfd_A")
    raw.files <- get.pdb(ids, path = "raw_pdbs")
    files <- pdbsplit(raw.files, ids, path = "raw_pdbs/split_chain")

    ## Sequence Alignement, and connectivity check
    pdbs <- pdbaln(files)

    cons <- inspect.connectivity(pdbs)

    ## omit files with missing residues
    files = files[cons]

    ## End(Not run)

[Package bio3d version 2.3-4 Index]